import { jsx } from "react/jsx-runtime";
import { TokenTKO as TokenTKO$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenTKO = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "TKO", "data-name": "TokenTKO", ...props, children: /* @__PURE__ */ jsx(TokenTKO$1, { variant }) });
  }
);
TokenTKO.displayName = "TokenTKO";
Object.assign(TokenTKO, { isGdsIcon: true });
export {
  TokenTKO
};
